set trimspool on
set verify off
spool drop_aq.log

accept queue_table_name    prompt 'Geef de naam van de queue tabel     : '
accept inbound_queue_name  prompt 'Geef de naam van de inbound queue   : '
accept outbound_queue_name prompt 'Geef de naam van de outbound queue  : '

prompt drop all AQ related objects
prompt
prompt purge queue table
execute dbms_aqadm.purge_queue_table('&queue_table_name', null, null)

prompt remove subscriber for inbound queue
execute dbms_aqadm.remove_subscriber(queue_name => '&inbound_queue_name', subscriber => sys.aq$_agent('inbound_consumer', null, null))

prompt remove subscriber for outbound queue
execute dbms_aqadm.remove_subscriber(queue_name => '&outbound_queue_name', subscriber => sys.aq$_agent('outbound_consumer', null, null))

prompt stop inbound queue
execute dbms_aqadm.stop_queue(queue_name => '&inbound_queue_name')

prompt stop outbound queue
execute dbms_aqadm.stop_queue(queue_name => '&outbound_queue_name')

prompt drop inbound queue
execute dbms_aqadm.drop_queue(queue_name => '&inbound_queue_name')

prompt drop outbound queue
execute dbms_aqadm.drop_queue(queue_name => '&outbound_queue_name')

prompt drop queue table
execute dbms_aqadm.drop_queue_table(queue_table => '&queue_table_name')

commit;

drop procedure enq;
drop procedure deq;

prompt
prompt  Alles weg?
select * from user_queue_tables
/
select * from user_queues
/
select object_name, object_type from user_objects where object_name like '%AQ$%'
/

spool off;

